javax.visrec.ml.classification

## Interface Classifier<T,R>

Type Parameters:
  `T` - type of input objects to classify (eg. User, Product, Transaction, Image, etc.)
  `R` - type of classification result map eg. String is commonly used , but Enum or Boolean as well. In general Enums should be used when there is a small number of categories and String for more categories.

All Known Implementing Classes:
  AbstractImageClassifier, EnsambleClassifier, LogisticRegression, MultiClassClassifier

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface Classifier<T,R>

Generic classifier interface, that all classifiers should implement. Provides a method to classify instances of some class. Implementations should specify type of objects (class) that are classified.

Since:
  1.0
Author:
  Zoran Sevarac

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<R,Float>` `classify(T input)` Classifies specified instance and returns classification results as map with class names and corresponding classification scores.

### Method Detail

#### classify

    Map<R,Float> classify(T input)

Classifies specified instance and returns classification results as map with class names and corresponding classification scores.

Parameters:
  `input` - some instance to classify
Returns:
  classification results for the specified instance